Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Dec 2014, 10:35
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Paquete de idioma bloquea SeaMonkey
Moderators: rarsa
Post new topic   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
vicmz


Joined: 15 Jan 2012
Posts: 1153

PostPosted: Sat 21 Dec 2013, 14:10    Post subject:  Paquete de idioma bloquea SeaMonkey
Subject description: si has tenido este problema por favor deja detalles aquí
 

He recibido informes de un par de usuarios sobre esto. Un paquete de idioma no bloquea un programa así como así, son solo traducciones, y la traducción para SeaMonkey se instala por separado. Por eso, para investigar mejor es necesario que todos los que hayan tenido este problema digan:

- la versión de Puppy que están usando
- las especificaciones de su hardware (RAM, disco rígido, procesador, etc.)
- el tipo de instalación (frugal, completa) más el método de instalación que usaron
- las acciones que realizaron antes de descubrir el problema
- capturas de pantalla
- escribir el comando del programa (ejemplo mozilla inicia SeaMonkey si está instalado) en el terminal, copiar los resultados y pegarlos en esta página (con urxvt seleccionar todo y luego hacer clic con la rueda del ratón, botón medio o los dos botones al mismo tiempo, en el lugar donde se quiere pegar)
- programas que suelen instalar y de donde los obtienen (foros, repositorios de grandes distribuciones, PPM, etc.)
- cualquier otro dato que se pueda considerar de interés

Otra cosa para tener en cuenta es que originalmente Puppy no fue hecho para instalaciones completas, por lo tanto es de esperar que hayan ciertos defectos. En particular los que recibí son los primeros informes de defectos con el cambio de idioma en una instalación completa. También es posible que falte algún archivo de sistema en la carpeta de la instalación completa, o que se esté usando un Puppy incompatible (Lucid por ejemplo) o muy modificado (Macpup550).

Como sea, es necesario tener pista de dónde investigar. Y sobre todo tener paciencia, todos estamos aquí para ayudar con el tiempo y los recursos que tenemos.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Sun 22 Dec 2013, 00:52    Post subject:  

Quote:
Otra cosa para tener en cuenta es que originalmente Puppy no fue hecho para instalaciones completas


Ahí estoy en desacuerdo, al contrario esta echo para instalarse y no usarse en modo frugal

1º ahorras mas recursos de memoria ram
2º los sistemas gnu/linux el modo normal de uso es instalarlo
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
vicmz


Joined: 15 Jan 2012
Posts: 1153

PostPosted: Sun 22 Dec 2013, 09:48    Post subject:  

mama21mama wrote:

Ahí estoy en desacuerdo, al contrario esta echo para instalarse y no usarse en modo frugal

1º ahorras mas recursos de memoria ram
2º los sistemas gnu/linux el modo normal de uso es instalarlo


Puppy no es un sistema GNU/Linux convencional.

http://bkhome.org/news/?viewDetailed=00025

Barry Kauler wrote:
¡Oh, qué bueno está esto!

Estoy usando Quirky 6.0 instalado en una partición ext3 del disco rígido de mi portátil, y es muy rápido.

Lo que está buenísimo es que esto es un hito, el primer derivado de Puppy que está diseñado específicamente para funcionar como instalación "total" en disco rígido.

Seguro, siempre hemos podido instalar nuestros puppies de esa manera, pero están llenos de cosas que asumen que hay un sistema de archivos en capas (como se tiene en una instalación frugal).

Quirky6 piensa en "instalación total" siempre, aunque todavía hay bits y piezas en scripts que siguen pensando en términos de un sistema de archivos en capas y un archivo de sesión. Gradualmente quitaré todos ellos.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1153

PostPosted: Sun 22 Dec 2013, 10:54    Post subject:  

Lamentablemente no he podido reproducir el defecto. Estoy escribiendo desde una instalación completa de Puppy Precise 5.7.1 con el paquete de idioma 20131109 instalado, idioma es-AR (español de Argentina), codificación UTF-8, a través de SeaMonkey 2.19 (lo predeterminado en Precise 5.7.1) con la extensión de idioma español v2.19 instalada. Seguiré usándola para ver qué sucede.

Como nadie es suficientemente específico tengo que seguir lanzando golpes al aire, así que aquí va otra posible razón para quedar con un programa estropeado.

http://bkhome.org/news/?viewDetailed=00032

Aquí Barry Kauler nos dice que hay que mejorar la forma de desinstalar los paquetes en una instalación completa, para lo cual ya está implementando una solución que posiblemente tomarán también los desarrolladores del foro.

Barry Kauler wrote:
Recientemente Mavrothal experimentó un problema con Quirky 6.0, cuando él desinstaló un paquete PET que contiene archivos de Xorg cruciales, como /usr/bin/Xorg por ejemplo.
El problema es que esta es una "instalación total", no hay capas. Con Puppies instalados en frugal hay una capa puppy.sfs de fondo, que es de solo-lectura, los archivos no se pueden quitar, y desinstalar un PET una capa arriba solo expone los archivos que están debajo, así que se expone el /usr/bin/Xorg original.

Pero como experimentó mavrothal, cuando el PET se desinstalaba, ya no había Xorg, etc.


En otras palabras, si desinstalas algo que sobrescribe archivos de sistema, la instalación total se hecha a perder. En cambio, en una instalación frugal hay un sistema de archivos dividido en capas, con la capa del fondo como la principal e inalterable, de forma que si algo se elimina en las capas superiores, se recupera gracias a la capa de solo-lectura que todavía contiene los archivos originales del sistema.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Tue 24 Dec 2013, 03:24    Post subject:  

Trata de usar la versión 2.23 de seamonkey a ver que sucede. Ya que es mas nueva.


Si es posible bajala de la web oficial http://www.seamonkey-project.org/

y lo colocas en /opt/seamonkey

y ejecutas en terminal

Code:
/opt/seamonkey/seamonkey


Saludos
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
vicmz


Joined: 15 Jan 2012
Posts: 1153

PostPosted: Wed 25 Dec 2013, 11:29    Post subject:  

mama21mama wrote:
Trata de usar la versión 2.23 de seamonkey a ver que sucede. Ya que es mas nueva.


Lo predeterminado es una versión de SeaMonkey optimizada específicamente para Puppy Linux, se puede usar la versión genérica del sitio oficial de SeaMonkey pero si no se hace bien efectivamente puede bloquearse el navegador, por ser dos versiones distintas (una nueva y otra vieja) compiladas de manera diferente (una para todas las distribuciones y la otra solamente para Puppy, por esta razón Puppy bloquea a propósito la función de actualizar). En particular una versión más nueva puede requerir versiones más nuevas de las bibliotecas que tiene el puppy elegido (por ejemplo glibc). Además tienen configuraciones distintas, el uso de la RAM por poner un ejemplo, la versión genérica debora la RAM con el caché si el usuario no ajusta un límite en las Preferencias, en cambio SeaMonkey ya viene con ese límite en Puppy, un sistema que se carga en la RAM. Todo esto tampoco tiene nada que ver con traducciones, puede suceder también en inglés, sin importar el tipo de instalación, si el usuario no está informado sobre cómo funcionan las cosas en Puppy Linux.

En el caso de los amantes de las actualizaciones, para usar el SeaMonkey genérico, es mejor extraer el tar en /mnt/home (o el directorio donde se guarda la sesión), eliminar /root/.mozilla, luego en el Menú > Configuración > Predefinir Aplicaciones Favoritas, en el campo Navegador escribir /mnt/home/seamonkey/seamonkey y hacer clic en Aplicar. Eso hace que quede como predeterminado (y por lo tanto asignado al icono navegar del escritorio) en lugar del SeaMonkey que viene preinstalado. Este último todavía se podrá abrir desde el menú, no lo hagan a no ser que editen los archivos .desktop de /usr/share/applications para asignar el SeaMonkey genérico en el campo Exec=, por ejemplo Exec=/mnt/home/seamonkey/seamonkey. Si no se abre el navegador, lo más seguro es que el puppy necesita una versión de glibc más nueva (en algunas distribuciones glibc se llama libc6), deberán buscarla a través del PPM (el gestor de paquetes) o en el repositorio en línea de una distribución compatible.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 25 Dec 2013, 19:50    Post subject:  

Te recuerdo que el gcc no esta compilado en Puppy.

Te vas de las ramas, intenta ver si te anda el método que te indico.

O responde si lo probaste.

Es el método que optamos en Puppy-es OS Badass así instalamos el seamonkey.

No falla.
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
vicmz


Joined: 15 Jan 2012
Posts: 1153

PostPosted: Wed 25 Dec 2013, 23:35    Post subject:  

mama21mama wrote:
Te recuerdo que el gcc no esta compilado en Puppy.

Te vas de las ramas, intenta ver si te anda el método que te indico.

O responde si lo probaste.

Es el método que optamos en Puppy-es OS Badass así instalamos el seamonkey.

No falla.


No has leído nada. Es lo mismo pero usando /mnt/home (en el disco rígido o pendrive) en lugar de /opt (en la RAM) como directorio y asumiendo que ya existe otra versión instalada.

Cuando me dices "si lo probaste" parece que me estuvieras tomando el pelo, te recuerdo que el problema no lo tengo yo, ni siquiera con el paquete del sitio oficial de SeaMonkey.

Tampoco he recibido información relevante que sirva para reproducir el defecto.

Una vez más no hay pruebas concretas de que un paquete de idioma pueda bloquear un programa.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Wed 25 Dec 2013, 23:52    Post subject:  

vicmz wrote:



No has leído nada. Es lo mismo pero usando /mnt/home (en el disco rígido o pendrive) en lugar de /opt (en la RAM) como directorio y asumiendo que ya existe otra versión instalada..


Yo no hablo de esto, solo te mencione que si probaste recrear el "error", no respondiste a eso.

vicmz wrote:


Cuando me dices "si lo probaste" parece que me estuvieras tomando el pelo, te recuerdo que el problema no lo tengo yo, ni siquiera con el paquete del sitio oficial de SeaMonkey.


Aquí el irrespetuosos eres vos con los demas foristas, por mencionar algo en el foro sin antes hacer tus pruebas.


vicmz wrote:

Tampoco he recibido información relevante que sirva para reproducir el defecto.
.


Aquí no se sabe con exactitud a que te refieres. No mencionas la "información" que usaste. Como lo que mencionaste en respuestas mas arriba que mezclas el posible "error" con formas de instalación de puppy que no vienen al caso.

Como que usaste el hilo para hablar de Barry, diferencias personales de como usar Puppy Linux y mas cosas sin sentido sobre el tema principal.

Creo que es perder el tiempo en este hilo. Tengo mis dudas que lo creaste para trollear por tus comentarios "trollescos"
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0841s ][ Queries: 12 (0.0060s) ][ GZIP on ]